pidgin: _PidginConversation Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PidginConversation Struct Reference

A GTK+ conversation pane. More...

`#include <gtkconv.h>`

## Data Fields
PurpleConversation * | active_conv
GList * | convs
GList * | send_history
PidginWindow * | win
gboolean | make_sound
GtkTooltips * | tooltips
GtkWidget * | tab_cont
GtkWidget * | tabby
GtkWidget * | menu_tabby
GtkWidget * | imhtml
GtkTextBuffer * | entry_buffer
GtkWidget * | entry
gboolean | auto_resize
gboolean | entry_growing
GtkWidget * | close
GtkWidget * | icon
GtkWidget * | tab_label
GtkWidget * | menu_icon
GtkWidget * | menu_label
GtkSizeGroup * | sg
GtkWidget * | lower_hbox
GtkWidget * | toolbar
PidginUnseenState | unseen_state
guint | unseen_count
union {
PidginImPane * im
PidginChatPane * chat
} | u
time_t | newday
GtkWidget * | infopane_hbox
GtkWidget * | infopane
GtkListStore * | infopane_model
GtkTreeIter | infopane_iter
struct {
int timer
GList * current
} | attach
struct {
GtkWidget * entry
GtkWidget * container
} | quickfind
| Quick Find.

## Detailed Description

A GTK+ conversation pane.

Definition at line 115 of file gtkconv.h.

## Field Documentation

## ◆ active_conv

PurpleConversation* _PidginConversation::active_conv

Definition at line 117 of file gtkconv.h.

## ◆ auto_resize

gboolean _PidginConversation::auto_resize

Definition at line 134 of file gtkconv.h.

## ◆ chat

PidginChatPane* _PidginConversation::chat

Definition at line 164 of file gtkconv.h.

## ◆ close

GtkWidget* _PidginConversation::close

Definition at line 142 of file gtkconv.h.

## ◆ container

GtkWidget* _PidginConversation::container

Definition at line 188 of file gtkconv.h.

## ◆ convs

GList* _PidginConversation::convs

Definition at line 118 of file gtkconv.h.

## ◆ current

GList* _PidginConversation::current

Definition at line 178 of file gtkconv.h.

## ◆ entry

GtkWidget* _PidginConversation::entry

Definition at line 133 of file gtkconv.h.

## ◆ entry_buffer

GtkTextBuffer* _PidginConversation::entry_buffer

Definition at line 132 of file gtkconv.h.

## ◆ entry_growing

gboolean _PidginConversation::entry_growing

Definition at line 138 of file gtkconv.h.

## ◆ icon

GtkWidget* _PidginConversation::icon

Definition at line 143 of file gtkconv.h.

## ◆ im

PidginImPane* _PidginConversation::im

Definition at line 163 of file gtkconv.h.

## ◆ imhtml

GtkWidget* _PidginConversation::imhtml

Definition at line 131 of file gtkconv.h.

## ◆ infopane

GtkWidget* _PidginConversation::infopane

Definition at line 170 of file gtkconv.h.

## ◆ infopane_hbox

GtkWidget* _PidginConversation::infopane_hbox

Definition at line 169 of file gtkconv.h.

## ◆ infopane_iter

GtkTreeIter _PidginConversation::infopane_iter

Definition at line 172 of file gtkconv.h.

## ◆ infopane_model

GtkListStore* _PidginConversation::infopane_model

Definition at line 171 of file gtkconv.h.

## ◆ lower_hbox

GtkWidget* _PidginConversation::lower_hbox

Definition at line 154 of file gtkconv.h.

## ◆ make_sound

gboolean _PidginConversation::make_sound

Definition at line 123 of file gtkconv.h.

## ◆ menu_icon

GtkWidget* _PidginConversation::menu_icon

Definition at line 145 of file gtkconv.h.

## ◆ menu_label

GtkWidget* _PidginConversation::menu_label

Definition at line 146 of file gtkconv.h.

## ◆ menu_tabby

GtkWidget* _PidginConversation::menu_tabby

Definition at line 129 of file gtkconv.h.

## ◆ newday

time_t _PidginConversation::newday

Definition at line 168 of file gtkconv.h.

## ◆

struct { ... } _PidginConversation::quickfind

Quick Find.

Since
  2.7.0

## ◆ send_history

GList* _PidginConversation::send_history

Definition at line 119 of file gtkconv.h.

## ◆ sg

GtkSizeGroup* _PidginConversation::sg

Deprecated:

Definition at line 149 of file gtkconv.h.

## ◆ tab_cont

GtkWidget* _PidginConversation::tab_cont

Definition at line 127 of file gtkconv.h.

## ◆ tab_label

GtkWidget* _PidginConversation::tab_label

Definition at line 144 of file gtkconv.h.

## ◆ tabby

GtkWidget* _PidginConversation::tabby

Definition at line 128 of file gtkconv.h.

## ◆ timer

int _PidginConversation::timer

Definition at line 177 of file gtkconv.h.

## ◆ toolbar

GtkWidget* _PidginConversation::toolbar

Definition at line 156 of file gtkconv.h.

## ◆ tooltips

GtkTooltips* _PidginConversation::tooltips

Definition at line 125 of file gtkconv.h.

## ◆ unseen_count

guint _PidginConversation::unseen_count

Definition at line 159 of file gtkconv.h.

## ◆ unseen_state

PidginUnseenState _PidginConversation::unseen_state

Definition at line 158 of file gtkconv.h.

## ◆ win

PidginWindow* _PidginConversation::win

Definition at line 121 of file gtkconv.h.

The documentation for this struct was generated from the following file:

- gtkconv.h